classification
Title: IDLE, configdialog: Factor out KeysPage class from ConfigDialog
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: csabella, lukasz.langa, terry.reedy
Priority: normal Keywords:

Created on 2017-08-15 01:13 by terry.reedy, last changed 2017-08-25 16:31 by lukasz.langa. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3096 merged csabella, 2017-08-15 17:04
PR 3097 merged terry.reedy, 2017-08-15 22:47
PR 3154 merged csabella, 2017-08-19 00:40
Messages (12)
msg300273 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 01:13
Do as did with #31050 and GenPage class.  This should be done *before* #31001, highlights test.
msg300275 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 01:26
Let me know if you start on this.
msg300292 - (view) Author: Cheryl Sabella (csabella) * Date: 2017-08-15 11:55
I'll work on this today.
msg300301 - (view) Author: Cheryl Sabella (csabella) * Date: 2017-08-15 17:11
I ran into an issue with the three calls to functions in ConfigDialog (deactivate_current_config, activate_config_changes, and save_all_changed_extensions) from within the KeysPage class.  I tried to minimize the changes by just creating self.cd for the ConfigDialog instance.  Besides that, the changes were the same as the FontPage and GenPage.
msg300312 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 22:26
New changeset e36d9f5568093b3885da62a0bf0fdfbe3771672b by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-31205: IDLE: Factor KeysPage class from ConfigDialog (#3096)
https://github.com/python/cpython/commit/e36d9f5568093b3885da62a0bf0fdfbe3771672b
msg300315 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 23:12
The change to configdialog is basically a block move with a few edits.  The resulting diff is so complicated that git could not apply it cleanly to the identical code in 3.6.  We should do multiple PRs for the highlight group.
msg300316 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-15 23:13
New changeset ff4b222b029f9977a4509d8697ba2b82c09b477a by Terry Jan Reedy in branch '3.6':
[3.6] bpo-31205: IDLE: Factor KeysPage class from ConfigDialog (GH-3096) (#3097)
https://github.com/python/cpython/commit/ff4b222b029f9977a4509d8697ba2b82c09b477a
msg300544 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-18 22:34
New changeset a32e40561a24de373d1c5a437a8aa329758ba8e4 by Terry Jan Reedy (Cheryl Sabella) in branch 'master':
bpo-31206: IDLE: Factor HighPage class from ConfigDialog (#3141)
https://github.com/python/cpython/commit/a32e40561a24de373d1c5a437a8aa329758ba8e4
msg300583 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-19 13:22
New changeset 764e282158df0d7d6d7e0c72f38756c979a36539 by Terry Jan Reedy (Cheryl Sabella) in branch '3.6':
[3.6] bpo-31206: IDLE: Factor HighPage class from ConfigDialog (GH-3141) (#3154)
https://github.com/python/cpython/commit/764e282158df0d7d6d7e0c72f38756c979a36539
msg300722 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-08-22 21:15
I don't understand why GH-3097 was introduced to 3.6.2. This doesn't look like a bugfix?
msg300734 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-08-22 23:47
Reading PEP 434, special rules for IDLE, should mostly answer your question.
msg300845 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2017-08-25 16:31
Oh, forgot about this exception, sorry! Thanks for the clarification.
History
Date User Action Args
2017-08-25 16:31:42lukasz.langasetmessages: + msg300845
2017-08-22 23:47:02terry.reedysetmessages: + msg300734
2017-08-22 21:15:57lukasz.langasetnosy: + lukasz.langa
messages: + msg300722
2017-08-19 13:22:56terry.reedysetmessages: + msg300583
2017-08-19 00:40:27csabellasetpull_requests: + pull_request3190
2017-08-18 22:34:57terry.reedysetmessages: + msg300544
2017-08-15 23:14:03terry.reedysetstatus: open -> closed
resolution: fixed
stage: test needed -> resolved
2017-08-15 23:13:13terry.reedysetmessages: + msg300316
2017-08-15 23:12:56terry.reedysetmessages: + msg300315
2017-08-15 22:47:56terry.reedysetpull_requests: + pull_request3136
2017-08-15 22:26:25terry.reedysetmessages: + msg300312
2017-08-15 17:11:12csabellasetmessages: + msg300301
2017-08-15 17:04:50csabellasetpull_requests: + pull_request3135
2017-08-15 11:55:07csabellasetmessages: + msg300292
2017-08-15 01:32:33terry.reedylinkissue31001 dependencies
2017-08-15 01:26:25terry.reedysetnosy: + csabella
messages: + msg300275
2017-08-15 01:13:03terry.reedycreate